"use strict";
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const js_cookie_1 = __importDefault(require("js-cookie"));
const useAbTest = (testName) => {
  const [variant, setVariant] = (0, react_1.useState)(
    js_cookie_1.default.get(testName) || ""
  );
  (0, react_1.useEffect)(() => {
    window.addEventListener(testName, (e) => {
      setVariant(e.detail);
      js_cookie_1.default.set(testName, e.detail);
    });
  }, [testName]);
  const isExperienceActive = variant === "variant1";
  const isVariant1Active = variant === "variant1";
  const isVariant2Active = variant === "variant2";
  return { variant, isExperienceActive, isVariant1Active, isVariant2Active };
};
exports.default = useAbTest;
